.\"	$NetBSD: itesio.4,v 1.7 2008/04/02 14:07:21 xtraeme Exp $
.\"     $OpenBSD: it.4,v 1.7 2006/03/29 14:10:51 jsg Exp $
.\"
.\" Copyright (c) 2006-2007 Juan Romero Pardines <xtraeme@netbsd.org>
.\" Copyright (c) 2003 Julien Bordet <zejames@greygats.org>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 2, 2008
.Dt ITESIO 4
.Os
.Sh NAME
.Nm itesio
.Nd ITE IT87xxF Super I/O driver
.Sh SYNOPSIS
.Cd "itesio0 at isa? port 0x2e"
.Cd "itesio1 at isa? port 0x4e"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Environment Controller and the Watchdog Timer
on the
.Tn IT87xxF
Super I/Os, and may be used to monitor hardware sensors or setting up a
watchdog timeout value for the system.
.Pp
The
.Nm
driver has 15 sensors:
.Bl -column "Sensor" "Units" "Typical" -offset indent
.It Sy "Sensor" Ta Sy "Units" Ta Sy "Typical Use"
.It Li "Temp0" Ta "uK" Ta "CPU Temp"
.It Li "Temp1" Ta "uK" Ta "System Temp"
.It Li "Temp2" Ta "uK" Ta "Aux Temp"
.It Li "VIN0" Ta "uV DC" Ta "Vcore A"
.It Li "VIN1" Ta "uV DC" Ta "Vcore B"
.It Li "VIN2" Ta "uV DC" Ta "+3.3V"
.It Li "VIN3" Ta "uV DC" Ta "+5V"
.It Li "VIN4" Ta "uV DC" Ta "+12V"
.It Li "VIN5" Ta "uV DC" Ta "-12V"
.It Li "VIN6" Ta "uV DC" Ta "-5V"
.It Li "VIN7" Ta "uV DC" Ta "STANDBY"
.It Li "VBAT" Ta "uV DC" Ta "VBAT"
.It Li "Fan0" Ta "RPM" Ta "CPU Fan"
.It Li "Fan1" Ta "RPM" Ta "System Fan"
.It Li "Fan2" Ta "RPM" Ta "Aux Fan"
.El
.Pp
The
.Nm
Watchdog Timer is configurable via the
.Xr wdogctl 8
utility and has a resolution between 1 and 65535 seconds.
The Watchdog Timer is not supported on the IT8705 Super I/O.
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8 ,
.Xr wdogctl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 3.4
and then it was ported to
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Julien Bordet Aq zejames@greyhats.org
and
.An Juan Romero Pardines Aq xtraeme@netbsd.org .
.Sh BUGS
Interrupt support is unimplemented.
